This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 195591

Summary: JSF2 red badge error indication
Product: javaee Reporter: emiddio <emiddio>
Component: JSF EditorAssignee: Marek Fukala <mfukala>
Status: REOPENED ---    
Severity: normal CC: geraldolmr, jlahoda
Priority: P3    
Version: 6.x   
Hardware: PC   
OS: Windows 7 x64   
Issue Type: DEFECT Exception Reporter:
Attachments: show the red badge
here is a project for Core JavaServer Faces 3rd Edition book

Description emiddio 2011-02-17 00:44:05 UTC
see JPEG, project to demonstrate problem is attached

view the index.xhtml file in the editor
Comment 1 emiddio 2011-02-17 00:44:56 UTC
Created attachment 106092 [details]
show the red badge

see JPEG, project to demonstrate problem is attached

view the index.xhtml file in the editor
Comment 2 Marek Fukala 2011-02-24 11:13:18 UTC
There is neither the file nor project attached to the bug. I cannot do much with the screenshot. The JSF tags error checking uses facelets tag libraries descriptor metadata (.taglib.xml files). These are usually stored in the libraries resource folders. If the file doesn't reflect the real state of the implementation it is hard to handle it. I could possibly add some mechanism for disabling particular problems.
Comment 3 emiddio 2011-02-24 19:40:47 UTC
Created attachment 106428 [details]
here is a project for Core JavaServer Faces 3rd Edition book 

here is a project for Core JavaServer Faces 3rd Edition book
Comment 4 Marek Fukala 2011-02-25 10:36:10 UTC
Thanks. This is a valid bug. The facelets library descriptors declared a validator for the validateCreditCard tag w/o any attributes. In this case the attributes check should be disabled. Actually I thought it already works this way :-|. Thanks for filling the issue.
Comment 5 Marek Fukala 2011-02-25 14:29:11 UTC
fixed in web-main#eb4cfbbfc453
Comment 6 Quality Engineering 2011-03-01 17:53:49 UTC
Integrated into 'main-golden', will be available in build *201103011142* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/eb4cfbbfc453
User: Marek Fukala <mfukala@netbeans.org>
Log: #195591 - JSF2 red badge error indication
Comment 7 Marek Fukala 2011-05-16 14:21:55 UTC
*** Bug 197597 has been marked as a duplicate of this bug. ***
Comment 8 derk 2017-02-25 16:55:29 UTC
I have this problem with Netbeans 8.2 and Omnifaces ListConverter, exactly as described here: http://stackoverflow.com/questions/17655788/the-attribute-list-is-not-defined-in-oconverter-netbeans-7-3

quotes explanation:
"Netbeans apparently validates the attributes rather strictly based on their registration in the *.taglib.xml file.

The <o:converter> is supposed to support all attribtues of any arbitrary converter, such as pattern and locale of <f:convertDateTime>, the minFractionDigits and integerOnly of  <f:convertNumber>, etcetera. It's however impossible to register all of those attributes in the *.taglib.xml file in order to satisfy all possible use cases of <o:converter>. It namely also supports custom converters instead of standard ones.

It's however valid to specify a "custom" tag attribute and this is where the <o:converter> relies on. The list attribute is actually an attribute of the omnifaces.ListConverter converter. I don't have Netbeans at hands and I'm not sure whether it interpretes it as an error or as an warning and or if it's configurable somewhere in its validation settings, but I can assure you that this is absolutely harmless and should at most generate a warning (and thus not as an error).
"